### Constructor

# FwupdPlugin DeviceProgress new

since: 1.8.11

#### Declaration [src]

    FuDeviceProgress*
    fu_device_progress_new (
      FuDevice* device,
      FuProgress* progress
    )

#### Description [src]

Binds the device to the progress object so that the status and percentage will be coped from the progress all the time this object is alive.

When this object is finalized the device status will be set to `idle` and the percentage reset back to 0%.

Available since: 1.8.11

#### Parameters

`device`

  Type: `FuDevice`

  A `FuDevice`.

  The data is owned by the caller of the function.

`progress`

  Type: `FuProgress`

  A `FuProgress`.

  The data is owned by the caller of the function.

#### Return value

Type: `FuDeviceProgress`

A `FuDeviceProgress`.

The caller of the function takes ownership of the data, and is responsible for freeing it.